Alert (Apache Geode 1.14.2)
Date: 2021-12-14

org.apache.geode.admin

## Interface Alert

- Deprecated.
  as of 7.0 use the `management` package instead

      public interface Alert

  An administration alert that is issued by a member of a GemFire distributed system. It is similar to a log message.
  Since:
    GemFire 3.5
  See Also:
    `AlertListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectionName()` Deprecated. The name of the distributed system) through which the alert was issued.
    `Date` | `getDate()` Deprecated. The time at which the alert was issued
    `AlertLevel` | `getLevel()` Deprecated. The level at which this alert is issued
    `String` | `getMessage()` Deprecated. The alert's message
    `String` | `getSourceId()` Deprecated. The id of the source of the alert (such as a thread in a VM)
    `SystemMember` | `getSystemMember()` Deprecated. The member of the distributed system that issued the alert, or null if the issuer is no longer a member of the distributed system.

- - ### Method Detail

    - #### getLevel

          AlertLevel getLevel()

      Deprecated.
      The level at which this alert is issued

    - #### getSystemMember

          SystemMember getSystemMember()

      Deprecated.
      The member of the distributed system that issued the alert, or null if the issuer is no longer a member of the distributed system.

    - #### getConnectionName

          String getConnectionName()

      Deprecated.
      The name of the distributed system) through which the alert was issued.

    - #### getSourceId

          String getSourceId()

      Deprecated.
      The id of the source of the alert (such as a thread in a VM)

    - #### getMessage

          String getMessage()

      Deprecated.
      The alert's message

    - #### getDate

          Date getDate()

      Deprecated.
      The time at which the alert was issued